from kivy.utils import platform

from kivy.uix.scrollview import ScrollView
from kivy.uix.label import Label

from kivy.app import App

from kivy.config import Config

if platform() != 'android':
   Config.set('graphics', 'width', '1026')
   Config.set('graphics', 'height', '600')

from kivy.core.window import Window



class DemoApp(App):

    def build(self):
        self.keyboard = Window.request_keyboard(None, self)
        self.keyboard.bind(on_key_down=self._on_key_down)
        root = Label(text="Hello World", font_size=30, size=(200, 200))
        return root

    def _on_key_down(self, keyboard, keycode, text, modifiers):
        if keycode[1].upper() == 'Q':
            print Window.width, Window.height
            self.stop()

if __name__ == "__main__":
   DemoApp().run()
